#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int m, n, p;
    cin >> m >> n >> p;
    int a[n][n];
    for(int x=0; x<(n+1)/2; x++)
    {
        int i=x, j=x;
        for(; j<n-x-1; j++)
        {
            a[i][j]=m;
            m++;
        }
        for(; i<n-x-1; i++)
        {
            a[i][j]=m;
            m++;
        }
        for(; j>x; j--)
        {
            a[i][j]=m;
            m++;
        }
        for(; i>x; i--)
        {
            a[i][j]=m;
            m++;
        }
    }
    int ans=0;
    for(int i=0; i<n; i++)
    {
        ans+=a[p-1][i];
    }
    cout << ans << endl;
    return 0;
}
